import java.awt.*;     // contains most components
import javax.swing.*;  // contains JLabel component

public class PicStacks extends GUI
{
  String folder = "c:\\data\\GUIpicStacks\\";
  
  Label intro = addLabel("Picture Stacks     by Dave Mulkey",20,20,500,20,this);

  JLabel comic = addJLabel(folder+"fat1.gif",20,100,160,200,this);
  int comicCount = 1;
  
  JLabel monsters = addJLabel(folder+"monster0.png",200,100,550,500,this);
  int monstersCount = 0;

  public PicStacks()
  {
     super(1200,700);
     intro.setFont(new Font("Arial",1,20));
  }

  public void actions(Object source, String command)
  {   
     if(source == comic)
     {
       comicCount = comicCount + 1;
       if(comicCount > 4)
       {  comicCount = 1; }
       loadImage(comic,folder+"fat"+comicCount+".gif");
     }

     if(source == monsters)
     {
       monstersCount = monstersCount + 1;
       if(monstersCount > 5)
       {  monstersCount = 0; }
       loadImage(monsters,folder+"monster"+monstersCount+".png");
     }
  } 

}

/*** PRACTICE ********************************************
(1) Download the program.  Change the FOLDER
    to work on your computer, then check that it works.
    
(2) Collect 5 pictures from Google Images to put in a new stack.
    You need to save these images in the program folder.
    They need to be approximately the same size as each other.
    They will need to fit on the right side of the window,
    so probably no larger than 400x400 pixels.
    Add commands to create your new stack and make it work correctly.
    
(3) Now make use a screen-capture utility (e.g. shift-command-4 or Jing).
    Find a Youtube video and capture several images from the video.
    Put them in a stack in a new program, using a picture
    that is big enough for a video, something like 800x600 pixels.

**********************************************************/